GDB (xrefs)

Public Attributes | List of all members
block_syms_iterator_object Struct Reference

## Public Attributes
PyObject_HEAD const struct block * | block
struct block_iterator | iter
int | initialized_p
struct blpy_block_object * | source

## Detailed Description

Definition at line 42 of file py-block.c.

## Member Data Documentation

## ◆ block

PyObject_HEAD const struct block* block_syms_iterator_object::block

Definition at line 45 of file py-block.c.

Referenced by blpy_block_syms_iternext(), and blpy_iter().

## ◆ initialized_p

int block_syms_iterator_object::initialized_p

Definition at line 49 of file py-block.c.

Referenced by blpy_block_syms_iternext(), and blpy_iter().

## ◆ iter

struct block_iterator block_syms_iterator_object::iter

Definition at line 47 of file py-block.c.

Referenced by blpy_block_syms_iternext().

## ◆ source

struct blpy_block_object* block_syms_iterator_object::source

Definition at line 53 of file py-block.c.

Referenced by blpy_block_syms_dealloc(), blpy_block_syms_iter(), blpy_block_syms_iternext(), blpy_iter(), and blpy_iter_is_valid().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-block.c